LibreOffice: Repository Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Public Member Functions | List of all members
Repository Service Reference

provides access to a set of named RDF graphs. More...

`import"Repository.idl";`

Inheritance diagram for Repository:

## Public Member Functions
| create ()
| constructs repository with in-memory storage. More...
Public Member Functions inherited from XRepository
XBlankNode | createBlankNode ()
| creates a fresh unique blank node. More...
XNamedGraph | importGraph ([in] short Format, [in] com::sun::star::io::XInputStream InStream, [in] XURI GraphName, [in] XURI BaseURI) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::datatransfer::UnsupportedFlavorException, com::sun::star::container::ElementExistException, ParseException, RepositoryException, com::sun::star::io::IOException )
| imports a named graph into the repository. More...
void | exportGraph ([in] short Format, [in] com::sun::star::io::XOutputStream OutStream, [in] XURI GraphName, [in] XURI BaseURI) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::datatransfer::UnsupportedFlavorException, com::sun::star::container::NoSuchElementException, RepositoryException, com::sun::star::io::IOException )
| exports a named graph from the repository. More...
sequence< XURI > | getGraphNames () raises ( RepositoryException )
| gets the names of all the graphs in the repository. More...
XNamedGraph | getGraph ([in] XURI GraphName) raises ( com::sun::star::lang::IllegalArgumentException, RepositoryException )
| gets a graph by its name. More...
XNamedGraph | createGraph ([in] XURI GraphName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, RepositoryException )
| creates a graph with the given name. More...
void | destroyGraph ([in] XURI GraphName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, RepositoryException )
| destroys the graph with the given name, and removes it from the repository. More...
com::sun::star::container::XEnumeration | getStatements ([in] XResource Subject, [in] XURI Predicate, [in] XNode Object) raises ( RepositoryException )
| gets matching RDF statements from the repository. More...
XQuerySelectResult | querySelect ([in] string Query) raises ( QueryException, RepositoryException )
| executes a SPARQL "SELECT" query. More...
com::sun::star::container::XEnumeration | queryConstruct ([in] string Query) raises ( QueryException, RepositoryException )
| executes a SPARQL "CONSTRUCT" query. More...
boolean | queryAsk ([in] string Query) raises ( QueryException, RepositoryException )
| executes a SPARQL "ASK" query. More...

## Detailed Description

provides access to a set of named RDF graphs.

Since
  OOo 3.0

See also
  XRepository
  XRepositorySupplier

## Member Function Documentation

## ◆ create()

create | ( |  | ) |

constructs repository with in-memory storage.

The documentation for this service was generated from the following file:

- com/sun/star/rdf/Repository.idl